import { hasNotch } from 'react-native-device-info';
import { NAVIGATION_BAR_HEIGHT } from "../utility/SizeUtil";
import localisation from '../localisation';
const ScreenNames = localisation.screenNames;

export const MENU_ITEM_CONSTANT = {
  MY_CLASSESS: 'MY_CLASSES',
  MY_QUIZEES: 'MY_QUIZEES',
  MY_PROJECT: 'MY_PROJECT',
  MY_REPORT_CARD: 'MY_REPORT_CARD',
  CERTIFICATES: 'CERTIFICATES',
  COMMUNITY: 'COMMUNITY',
  USER_LOGOUT: 'USER_LOGOUT',
  MANAGE_MY_WEBSITE: 'MANAGE_MY_WEBSITE',
  // LEARNING_JOURNEY: 'LEARNING_JOURNEY',
  PROFILE: 'PROFILE',
  CAPSTONE: 'CAPSTONE',
  PERSONAL_CONCIERGE: 'PERSONAL_CONCIERGE',
};

export const EVENT_TYPE = {
  segment: {
    VIEWED_STUDENT_DASHBOARD_SCREEN: 'VIEWED_STUDENT_DASHBOARD_SCREEN',
    VIEWED_LOGIN_SCREEN: 'VIEWED_LOGIN_SCREEN',
    VIEWED_BOOKING_SCREEN: 'VIEWED_BOOKING_SCREEN',
    VIEWED_BOOKING_SUCCESS_SCREEN: 'VIEWED_BOOKING_SUCCESS_SCREEN',
    BOOK_A_CODING_CLASS_CLICKED: 'BOOK_A_CODING_CLASS_CLICKED',
    BOOK_A_MATH_CLASS_CLICKED: 'BOOK_A_MATH_CLASS_CLICKED',
    REFERRAL_SHARE_CLICKED: 'REFERRAL_SHARE_CLICKED',
    REGISTRATION_INITIATED: 'REGISTRATION_INITIATED',
    REGISTRATION_INITIATED_NEW: 'REGISTRATION_INITIATED_NEW',
    REGISTRATION_ERROR: 'REGISTRATION_ERROR',
    BOOKING_DAY_CLICKED: 'BOOKING_DAY_CLICKED',
    TIMEZONE_CHANGED: 'TIMEZONE_CHANGED',
    LOGIN_ATTEMPT: 'LOGIN_ATTEMPT',
    NUMBER_ENTERED: 'NUMBER_ENTERED',
    SEND_VERIFICATION_CODE_CLICKED: 'SEND_VERIFICATION_CODE_CLICKED',
    TEACHER_JOINED: 'TEACHER_JOINED',
    HELPDESK_PHONE_CLICKED: 'HELPDESK_PHONE_CLICKED',
    CALL_TEACHER_CLICKED: 'CALL_TEACHER_CLICKED',
    SEND_EMOJI_CLICKED: 'SEND_EMOJI_CLICKED',
    JOIN_CLASS_CLICKED: 'JOIN_CLASS_CLICKED',
    LEAVE_CLASS_CLICKED: 'LEAVE_CLASS_CLICKED',
    CLASS_RECONNECT_CLICKED: 'CLASS_RECONNECT_CLICKED',
    STUDENT_JOINED_CLASS: 'STUDENT_JOINED_CLASS',
    CERTIFICATE_VIEWED: 'CERTIFICATE_VIEWED',
    REGENERATE_OTP_CLICKED: 'REGENERATE_OTP_CLICKED',
    APP_OTP_SEND: 'APP_OTP_SEND',
    APP_OTP_RESEND: 'APP_OTP_RESEND',
    APP_OTP_POPUP_VISIBLE: 'APP_OTP_POPUP_VISIBLE',
    APP_OTP_POPUP_CLOSED: 'APP_OTP_POPUP_CLOSED',
    APP_OTP_INITIATED: 'APP_OTP_INITIATED',
    APP_OTP_VERIFICATION_SUCCESS: 'APP_OTP_VERIFICATION_SUCCESS',
    APP_OTP_FAILURE: 'APP_OTP_FAILURE',
    REGISTRATION_FORM_MOBILE_ENTERED: 'REGISTRATION_FORM_MOBILE_ENTERED',
    REFERRAL_LOGIN_POPUP_CLICKED: 'REFERRAL_LOGIN_POPUP_CLICKED',
    REFERRAL_LOGIN_POPUP_VIEWED: 'REFERRAL_LOGIN_POPUP_VIEWED',
    PAGEVIEW_INVITE_FRIENDS_CONTACTS: 'PAGEVIEW_INVITE_FRIENDS_CONTACTS',
    PERMISSION_REQUESTED: 'PERMISSION_REQUESTED',
    CLICK_REFERHOME_GRANT_PERMISSSON: 'CLICK_REFERHOME_GRANT_PERMISSSON',
    VIEWED_REFERRAL_PAGE: 'VIEWED_REFERRAL_PAGE',
    REFERRER_LINK_SHARED: 'REFERRER_LINK_SHARED',
    BOOKING_TIME_SELECTED: 'BOOKING_TIME_SELECTED',
    CONFIRM_BOOKING_SLOT_CLICKED: 'CONFIRM_BOOKING_SLOT_CLICKED',
    OTP_ENTERED: 'OTP_ENTERED',
    ADDITIONAL_INFO_POPUP_OPEN: 'ADDITIONAL_INFO_POPUP_OPEN',
    ADDITIONAL_INFO_FIELD_ENTER: 'ADDITIONAL_INFO_FIELD_ENTER',
    ADDITIONAL_INFO_FIELD_SUBMITTED: 'ADDITIONAL_INFO_FIELD_SUBMITTED',
    SUBJECT_CHANGED: 'SUBJECT_CHANGED',
    JOIN_YOUR_CLASS_CLICKED: 'JOIN_YOUR_CLASS_CLICKED',
    RESEND_VIA_TEXT: 'RESEND_VIA_TEXT',
    LOGIN_VIA_EMAIL_ID: 'LOGIN_VIA_EMAIL_ID',
    EMAIL_ENTERED: 'EMAIL_ENTERED',
    PASSWORD_ENTERED: 'PASSWORD_ENTERED',
    PRIMARY_INFO_PROCEED_CLICKED: 'PRIMARY_INFO_PROCEED_CLICKED',
    PRIMARY_INFO_ERROR_POPUP: 'PRIMARY_INFO_ERROR_POPUP',
    SELECT_ANOTHER_GRADE_CLICKED: 'SELECT_ANOTHER_GRADE_CLICKED',
    CONTINUE_WITH_EMAIL_CLICKED: 'CONTINUE_WITH_EMAIL_CLICKED',
    SWIPED_PARENT_TESTIMONIALS: 'SWIPED_PARENT_TESTIMONIALS',
    PROFILE_TAB_CLICKED: 'PROFILE_TAB_CLICKED',
    GO_TO_DASHBOARD_CLICKED: 'GO_TO_DASHBOARD_CLICKED',
    EXPLORE_PAYMENT_PLANS_CLICKED: 'EXPLORE_PAYMENT_PLANS_CLICKED',
    GRADE_FIELD_OPENED: 'GRADE_FIELD_OPENED',
    DASHBOARD_COURSE_TAB_CHANGED: 'DASHBOARD_COURSE_TAB_CHANGED',
    CATEGORY_SELECTED: 'CATEGORY_SELECTED',
    VIEWED_POST_CLASS_DASHBOARD: 'VIEWED_POST_CLASS_DASHBOARD',
    BOOKING_ERROR: 'BOOKING_ERROR',
    LAPTOP_SELECTED: 'LAPTOP_SELECTED',
  },
  otp: {
    APP_OTP_SEND: 'APP_OTP_SEND',
    APP_OTP_RESEND: 'APP_OTP_RESEND',
    APP_OTP_POPUP_VISIBLE: 'APP_OTP_POPUP_VISIBLE',
    APP_OTP_POPUP_CLOSED: 'APP_OTP_POPUP_CLOSED',
    APP_OTP_INITIATED: 'APP_OTP_INITIATED',
    APP_OTP_VERIFICATION_SUCCESS: 'APP_OTP_VERIFICATION_SUCCESS',
    APP_OTP_FAILURE: 'APP_OTP_FAILURE',
  },
  onBoarding: {
    CLICK_REGISTRATION_FORM_SCHEDULE_FREE_TRIAL:
      'CLICK_REGISTRATION_FORM_SCHEDULE_FREE_TRIAL',
    PAGE_LOAD_LAUNCH_SCREEN: 'PAGE_LOAD_LAUNCH_SCREEN',
    CLICK_LAUNCH_SCREEN_BOOK_A_FREE_TRIAL:
      'CLICK_LAUNCH_SCREEN_BOOK_A_FREE_TRIAL',
    CLICK_LAUNCH_SCREEN_LOGIN: 'CLICK_LAUNCH_SCREEN_LOGIN',
    TERMS_BUTTON_CLICK: 'TERMS_BUTTON_CLICK',
    POLICY_BUTTON_CLICK: 'POLICY_BUTTON_CLICK',
  },
  analytics: {
    REGISTER_SUCCESS: 'registration',
    LOGIN_SUCCESS: 'login',
  },
  registration: {
    REGISTER_SUCCESS: 'REGISTER_SUCCESS',
    REGISTER_FAILURE: 'REGISTER_FAILURE',
    REGPAGE_SCHEDULE_CLASS_CLICK: 'REGPAGE_SCHEDULE_CLASS_CLICK',
    REGPAGE_OTP_TRIGGER_SUCCESS: 'REGPAGE_OTP_TRIGGER_SUCCESS',
    PAGE_LOAD_REGISTRATION_FORM: 'PAGE_LOAD_REGISTRATION_FORM',
    REGISTRATION_FORM_GRADE_SELECTED: 'REGISTRATION_FORM_GRADE_SELECTED',
    REGISTRATION_FORM_LAPTOP_SELECTED: 'REGISTRATION_FORM_LAPTOP_SELECTED',
    REGISTRATION_FORM_MOBILE_ENTERED: 'REGISTRATION_FORM_MOBILE_ENTERED',
  },
  login: {
    LOGIN_SUCCESS: 'LOGIN_SUCCESS',
    LOGIN_FAILURE: 'LOGIN_FAILURE',
    PAGE_LOAD_LOGIN_VIA_PHONE_NUMBER: 'PAGE_LOAD_LOGIN_VIA_PHONE_NUMBER',
    PAGE_LOAD_LOGIN_VIA_EMAIL: 'PAGE_LOAD_LOGIN_VIA_EMAIL',
    CLICK_NEXT_ENTER_PHONE_NO_LOGIN_SCREEN:
      'CLICK_NEXT_ENTER_PHONE_NO_LOGIN_SCREEN',
    CLICK_SUBMIT_OTP_LOGIN: 'CLICK_SUBMIT_OTP_LOGIN',
    CLICK_LOGIN_AFTER_EMAIL_PASSWORD: 'CLICK_LOGIN_AFTER_EMAIL_PASSWORD',
    CLICK_LOG_IN_VIA_EMAIL_UNABLE_TO_FIND_ACCOUNT:
      'CLICK_LOG_IN_VIA_EMAIL_UNABLE_TO_FIND_ACCOUNT',
    REDIRECTION_TO_REGISTRATION_FROM_LOGIN:
      'REDIRECTION_TO_REGISTRATION_FROM_LOGIN',

    AUTO_OTP_VERIFICATION_POP_UP_VIEWED: 'AUTO_OTP_VERIFICATION_POP_UP_VIEWED',
    AUTO_OTP_VERIFICATION_POP_UP_CLOSED: 'AUTO_OTP_VERIFICATION_POP_UP_CLOSED',
    AUTO_OTP_VERIFICATION_CODE_ENTERED: 'AUTO_OTP_VERIFICATION_CODE_ENTERED',
    AUTO_OTP_VERIFICATION_CODE_SENT: 'AUTO_OTP_VERIFICATION_CODE_SENT',
    AUTO_OTP_VERIFICATION_CODE_DELIVERED:
      'AUTO_OTP_VERIFICATION_CODE_DELIVERED',
    AUTO_OTP_VERIFICATION_SUCCESS: 'AUTO_OTP_VERIFICATION_SUCCESS',
    AUTO_OTP_RESEND_VIA_SMS: 'AUTO_OTP_RESEND_VIA_SMS',

    //Currently not implemented
    // AUTO_OTP_RESEND_VIA_CALL: 'AUTO_OTP_RESEND_VIA_CALL',

    //Flow removed
    // PASSWORD_RESET_EMAIL_SENT_SUCCESS: 'PASSWORD_RESET_EMAIL_SENT_SUCCESS',
    // PASSWORD_RESET_EMAIL_SENT_FAILURE: 'PASSWORD_RESET_EMAIL_SENT_FAILURE',
    // REDIRECTION_TO_DASHBOARD_FROM_REGISTRATION_TRIAL_USER:
    //   'REDIRECTION_TO_DASHBOARD_FROM_REGISTRATION_TRIAL_USER',
    // REDIRECTION_TO_LOGIN_FROM_REGISTRATION_EXISTING_USER:
    //   'REDIRECTION_TO_LOGIN_FROM_REGISTRATION_EXISTING_USER',
  },
  booking: {
    COURSE_SELECTED: 'COURSE_SELECTED',
    COURSE_SWITCHED: 'COURSE_SWITCHED',
    UPDATE_INFO_CLICKED: 'UPDATE_INFO_CLICKED',
    UPDATE_INFO_POP_UP_VIEWED: 'UPDATE_INFO_POP_UP_VIEWED',
    UPDATE_INFO_EMAIL_ENTERED: 'UPDATE_INFO_EMAIL_ENTERED',
    UPDATE_INFO_CNAME_ENTERED: 'UPDATE_INFO_CNAME_ENTERED',
    UPDATE_INFO_PNAME_ENTERED: 'UPDATE_INFO_PNAME_ENTERED',
    UPDATE_INFO_POP_UP_CLOSED: 'UPDATE_INFO_POP_UP_CLOSED',
    UPDATE_INFO_CONFIRM_CLICKED: 'UPDATE_INFO_CONFIRM_CLICKED',
    USER_INFO_UPDATED: 'USER_INFO_UPDATED',
  },
  dashboard: {
    PAGEVIEW_DASHBOARD: 'PAGEVIEW_DASHBOARD',
    CLICK_BOTTOM_NAV_HOME: 'CLICK_BOTTOM_NAV_HOME',
    CLICK_BOTTOM_NAV_CLASSES: 'CLICK_BOTTOM_NAV_CLASSES',
    CLICK_DASHBOARD_CREATE_WEBSITE: 'CLICK_DASHBOARD_CREATE_WEBSITE',
    CLICK_DASHBOARD_PLAY_VIDEO: 'CLICK_DASHBOARD_PLAY_VIDEO',
    CLICK_BOTTOM_NAV_PROFILE: 'CLICK_BOTTOM_NAV_PROFILE',
    CLICK_BOTTOM_NAV_COMMUNITY: 'CLICK_BOTTOM_NAV_COMMUNITY',
    CLICK_HOMEPAGE_TOPCARD_CERTIFICATE: 'CLICK_HOMEPAGE_TOPCARD_CERTIFICATE',
    SHARE_TRIALCLASSCERTIFICATE_WHATSAPP:
      'SHARE_TRIALCLASSCERTIFICATE_WHATSAPP',
    SHARE_TRIALCLASSCERTIFICATE_NATIVE: 'SHARE_TRIALCLASSCERTIFICATE_NATIVE',
    CLICK_DASHBOARD_EXPLORE_PAYMENT_PLANS:
      'CLICK_DASHBOARD_EXPLORE_PAYMENT_PLANS',
    CLICK_DASHBOARD_PAIDCLASS_SCHEDULENOW:
      'CLICK_DASHBOARD_PAIDCLASS_SCHEDULENOW',
    CLICK_DASHBOARD_RENEW_NOW_AFTER0CREDITSLEFT:
      'CLICK_DASHBOARD_RENEW_NOW_AFTER0CREDITSLEFT',
    CLICK_DASHBOARD_CANCELCLASS: 'CLICK_DASHBOARD_CANCELCLASS',
    CLICK_DASHBOARD_PROFILE_HAT_DROPDOWN:
      'CLICK_DASHBOARD_PROFILE_HAT_DROPDOWN',
    CLICK_BOTTOM_NAV_REFER: 'CLICK_BOTTOM_NAV_REFER',
    CLICK_BOTTOM_NAV_PROJECTS: 'CLICK_BOTTOM_NAV_PROJECTS',
    CLICK_DASHBOARD_REFER: 'CLICK_DASHBOARD_REFER',
    CLICK_DASHBOARD_RENEW_NOW_SOMECREDITSLEFT:
      'CLICK_DASHBOARD_RENEW_NOW_SOMECREDITSLEFT',
    CLICK_DASHBOARD_MARKETINGBANNER: 'CLICK_DASHBOARD_MARKETINGBANNER',
    PAGE_LOAD_TRIAL_SLOT_BOOKING_PAGE: 'PAGE_LOAD_TRIAL_SLOT_BOOKING_PAGE',
    CLICK_HOMEPAGE_TOPCARD_RENEW_NOW: 'CLICK_HOMEPAGE_TOPCARD_RENEW_NOW',
    CLICK_HOMEPAGE_TOPCARD_REPORT_CARD: 'CLICK_HOMEPAGE_TOPCARD_REPORT_CARD',
    CLICK_HOMEPAGE_TOPCARD_OVERDUE_PROJECT:
      'CLICK_HOMEPAGE_TOPCARD_OVERDUE_PROJECT',
    CLICK_HOMEPAGE_TOPCARD_OVERDUE_QUIZ: 'CLICK_HOMEPAGE_TOPCARD_OVERDUE_QUIZ',
    CLICK_HOMEPAGE_PROFILE_RENEW_NOW: 'CLICK_HOMEPAGE_PROFILE_RENEW_NOW',
    CLICK_HOMEPAGE_PROJECTS: 'CLICK_HOMEPAGE_PROJECTS',
    CLICK_HOMEPAGE_QUIZZES: 'CLICK_HOMEPAGE_QUIZZES',
    CLICK_HOMEPAGE_REPORT_CARD: 'CLICK_HOMEPAGE_REPORT_CARD',
    CLICK_HOMEPAGE_STICKY_PENDING_HOMEWORK:
      'CLICK_HOMEPAGE_STICKY_PENDING_HOMEWORK',
    // Should be handled by above one only based on index
    // CLICK_DASHBOARD_MARKETINGBANNER1: 'CLICK_DASHBOARD_MARKETINGBANNER1',
    // CLICK_DASHBOARD_MARKETINGBANNER2: 'CLICK_DASHBOARD_MARKETINGBANNER2',
    // CLICK_DASHBOARD_MARKETINGBANNER3: 'CLICK_DASHBOARD_MARKETINGBANNER3',
    // CLICK_DASHBOARD_MARKETINGBANNER4: 'CLICK_DASHBOARD_MARKETINGBANNER4',

    //ToDo: Need Clarity
    NO_LAPTOP_FEEDBACK: 'NO_LAPTOP_FEEDBACK',
    USER_CATEGORY_DASHBOARD: 'USER_CATEGORY_DASHBOARD',
    MEMORY_WARNING: 'MEMORY_WARNING',
    VARIANT_VIEWED: 'VARIANT_VIEWED',

    CERTIFICATE_VIEWED: 'CERTIFICATE_VIEWED',
  },
  classes: {
    CLICK_CLASSES_MAIN_SCHEDULE_NOW: 'CLICK_CLASSES_SCHEDULE_NOW',
    CLICK_CLASSES_UPCOMING_CANCELCLASS: 'CLICK_CLASSES_UPCOMING_CANCEL',
    CLICK_CLASSES_COMPLETED_CLASSSUMMARY:
      'CLICK_CLASSES_COMPLETED_CLASSSUMMARY',

    PAGEVIEW_SCHEDULE_CLASS: 'PAGEVIEW_SCHEDULE_CLASS',
    PAIDCLASS_SCHEDULED_SUCCESS: 'PAIDCLASS_SCHEDULED_SUCCESS',
    PAIDCLASS_TEACHER_CHANGED_SUCCESS: 'PAIDCLASS_TEACHER_CHANGED_SUCCESS',
    PAIDCLASS_SCHEDULED_FAILURE: 'PAIDCLASS_SCHEDULED_FAILURE',
    PAIDCLASS_CANCELLED_SUCCESS: 'PAIDCLASS_CANCELLED_SUCCESS',
    PAIDCLASS_CANCELLED_FAILURE: 'PAIDCLASS_CANCELLED_FAILURE',

    TRIED_SCHEDULING_MORE_THAN_3_CLASSES_INAWEEK_POPUP:
      'TRIED_SCHEDULING_MORE_THAN_3_CLASSES_INAWEEK_POPUP',
    CLICK_HOMEPAGE_VIEW_CLASS_DETAILS_SCHEDULED:
      'CLICK_HOMEPAGE_VIEW_CLASS_DETAILS_SCHEDULED',
    CLICK_HOMEPAGE_VIEW_CLASS_DETAILS_YET_TO_SCHEDULE:
      'CLICK_HOMEPAGE_VIEW_CLASS_DETAILS_YET_TO_SCHEDULE', // Done
    CLICK_HOMEPAGE_CANCEL: 'CLICK_HOMEPAGE_CANCEL',
    CLICK_HOMEPAGE_SCHEDULE_NOW: 'CLICK_HOMEPAGE_SCHEDULE_NOW',
    CLICK_CLASS_DETAILS_UPPER_NAVS_BACKWARD:
      'CLICK_CLASS_DETAILS_UPPER_NAVS_BACKWARD',
    CLICK_CLASS_DETAILS_UPPER_NAVS_FORWARD:
      'CLICK_CLASS_DETAILS_UPPER_NAVS_FORWARD',
    CLICK_CLASS_DETAILS_PROJECT_VIEW_DETAILS:
      'CLICK_CLASS_DETAILS_PROJECT_VIEW_DETAILS',
    PAGEVIEW_CLASS_DETAILS: 'PAGEVIEW_CLASS_DETAILS',
    PAGEVIEW_MY_CLASSES: 'PAGEVIEW_MY_CLASSES',
    CLICK_CLASS_DETAILS_MILESTONE_DETAILS:
      'CLICK_CLASS_DETAILS_MILESTONE_DETAILS',

    //ToDo: Need Clarity
    CLICK_CLASSES_UPCOMING_SCHEDULE_NOW: 'CLICK_CLASSES_UPCOMING_SCHEDULE_NOW',
    CLICK_CLASS_DETAILS_VIDEO: 'CLICK_CLASS_DETAILS_VIDEO',
    CLICK_MY_CLASSES_UPCOMING: 'CLICK_MY_CLASSES_UPCOMING',
    CLICK_MY_CLASSES_COMPLETED: 'CLICK_MY_CLASSES_COMPLETED',
    CLICK_MY_CLASSES_NOT_COMPLETED: 'CLICK_MY_CLASSES_NOT_COMPLETED',
    CLICK_CLASSES_SCHEDULE_NOW: 'CLICK_CLASSES_SCHEDULE_NOW',
    PAGEVIEW_CLASS_SUMMARY: 'PAGEVIEW_CLASS_SUMMARY',
  },
  scheduler: {
    TRIAL_NO_SLOTS_AVAILABLE: 'TRIAL_NO_SLOTS_AVAILABLE',
    TRIAL_BOOK_SUCCESS: 'TRIAL_BOOK_SUCCESS',
    TRIAL_BOOK_FAILURE: 'TRIAL_BOOK_FAILURE',
    CLICK_TRIAL_SCHEDULER_SELECT_DATE: 'CLICK_TRIAL_SCHEDULER_SELECT_DATE',
    CLICK_TRIAL_SCHEDULER_SELECT_TIME: 'CLICK_TRIAL_SCHEDULER_SELECT_TIME',
    CLICK_TRIAL_SCHEDULER_SCHEDULENOW: 'CLICK_TRIAL_SCHEDULER_SCHEDULENOW',
    CLICK_TRIAL_SCHEDULER_TIMEZONE: 'CLICK_TRIAL_SCHEDULER_TIMEZONE',
    TRIAL_SCHEDULER_TIME_ZONE_CHANGED: 'TRIAL_SCHEDULER_TIME_ZONE_CHANGED',
    TRIAL_SCHEDULER_UPDATEDALTEMAIL: 'TRIAL_SCHEDULER_UPDATEDALTEMAIL',
    TRIAL_SCHEDULER_UPDATEDALTPHONENO: 'TRIAL_SCHEDULER_UPDATEDALTPHONENO',
    CLICK_SKIP_ALTEMAIL_BOTTOMSHEET: 'CLICK_SKIP_ALTEMAIL_BOTTOMSHEET',
    TRIAL_BOOK_SUCCESS_RATING_FEEDBACK: 'TRIAL_BOOK_SUCCESS_RATING_FEEDBACK',

    //ToDo: Need Clarity
    TRIAL_CLASS_COMPLETED: 'TRIAL_CLASS_COMPLETED',
    TRIAL_CLASS_NOT_ATTENDED: 'TRIAL_CLASS_NOT_ATTENDED',
    TRIAL_BOOK_SUCCESS_RATING: 'TRIAL_BOOK_SUCCESS_RATING',
  },
  referral: {
    CLICK_REFERHOME_INVITE_VIA_WHATSAPP: 'CLICK_REFERHOME_INVITE_VIA_WHATSAPP',
    CLICK_REFERHOME_INVITE_CONTACTS: 'CLICK_REFERHOME_INVITE_CONTACTS',
    CLICK_REFERHOME_COPY_REFERRAL_URL: 'CLICK_REFERHOME_COPY_REFERRAL_URL',
    CLICK_REFERHOME_GRANT_PERMISSSON: 'CLICK_REFERHOME_GRANT_PERMISSSON',
    CLICK_REFERHOME_INSIDE_CONTACT_BOOK: 'CLICK_REFERHOME_INSIDE_CONTACT_BOOK',
    CLICK_REMIND_VIA_WHATSAPP_INSIDE_TRACK_MY_REFERRALS:
      'CLICK_REMIND_VIA_WHATSAPP_INSIDE_TRACK_MY_REFERRALS',
    PAGEVIEW_INVITE_FRIENDS: 'PAGEVIEW_INVITE_FRIENDS',
    PAGEVIEW_INVITE_FRIENDS_CONTACTS: 'PAGEVIEW_INVITE_FRIENDS_CONTACTS',
    CLICK_MY_REFERRALS_STATUS: 'CLICK_MY_REFERRALS_STATUS',
    CLICK_MY_REFERRALS_WHATSAPP_REMIND: 'CLICK_MY_REFERRALS_WHATSAPP_REMIND',
  },
  projects: {
    CLICK_PROJECTS_PENDING: 'CLICK_PROJECTS_PENDING',
    CLICK_PROJECTS_SUBMITTED: 'CLICK_PROJECTS_SUBMITTED',
    CLICK_PROJECTS_FEEDBACK_RECEIVED: 'CLICK_PROJECTS_FEEDBACK_RECEIVED',
    CLICK_PROJECTS_COMPLETED: 'CLICK_PROJECTS_COMPLETED',
    PAGEVIEW_PROJECT_DETAIL: 'PAGEVIEW_PROJECT_DETAIL',
    CLICK_PROJECT_DETAIL_LINK: 'CLICK_PROJECT_DETAIL_LINK',
    PAGEVIEW_PROJECTS: 'PAGEVIEW_PROJECTS',
    SCROLL_PROJECTS_PAGE_PENDING: 'SCROLL_PROJECTS_PAGE_PENDING',
    SCROLL_PROJECTS_PAGE_ASSIGNED: 'SCROLL_PROJECTS_PAGE_ASSIGNED',
    SCROLL_PROJECTS_PAGE_FEEDBACK: 'SCROLL_PROJECTS_PAGE_FEEDBACK',
    SCROLL_PROJECTS_PAGE_COMPLETED: 'SCROLL_PROJECTS_PAGE_COMPLETED',
    SCROLL_PROJECT_DETAILS_PAGE: 'SCROLL_PROJECT_DETAILS_PAGE',
    CLICK_PROJECTS_DELIGHTER: 'CLICK_PROJECTS_DELIGHTER',
    PROJECT_SUBMITTED_SUCCESS: 'PROJECT_SUBMITTED_SUCCESS',
    CLICK_PROJECTS_SCAN_AND_SUBMIT: 'CLICK_PROJECTS_SCAN_AND_SUBMIT',
    PAGEVIEW_PROJECTS_ASK_A_DOUBT: 'PAGEVIEW_PROJECTS_ASK_A_DOUBT',
    CLICK_PROJECTS_ASK_A_DOUBT_ENTERED: 'CLICK_PROJECTS_ASK_A_DOUBT_ENTERED',
    PROJECT_PUBLISH_SUCCESS: 'PROJECT_PUBLISH_SUCCESS',

    // Not valid
    CLICK_PROJECT_DETAIL_VIDEO: 'CLICK_PROJECT_DETAIL_VIDEO',
  },
  quiz: {
    PAGEVIEW_QUIZZES_PENDING: 'PAGEVIEW_QUIZZES_PENDING',
    PAGEVIEW_QUIZZES_COMPLETED: 'PAGEVIEW_QUIZZES_COMPLETED',
    PAGEVIEW_QUIZZES: 'PAGEVIEW_QUIZZES',
    SCROLL_QUIZZES_PAGE_PENDING: 'SCROLL_QUIZZES_PAGE_PENDING',
    SCROLL_QUIZZES_PAGE_COMPLETED: 'SCROLL_QUIZZES_PAGE_COMPLETED',
    SWIPE_QUIZZES_GRAPH: 'SWIPE_QUIZZES_GRAPH',
    CLICK_QUIZZES_PENDING: 'CLICK_QUIZZES_PENDING',
    CLICK_QUIZZES_COMPLETED: 'CLICK_QUIZZES_COMPLETED',
  },
  inAppReview: {
    PLAYSTORE_REFERRAL_POPUP: 'PLAYSTORE_REFERRAL_POPUP',
  },
  mainMenu: {
    CLICK_MAIN_MENU: 'CLICK_MAIN_MENU',
    CLICK_MAIN_MENU_MY_QUIZZES: 'CLICK_MAIN_MENU_MY_QUIZZES',
    CLICK_MAIN_MENU_MY_REPORT_CARDS: 'CLICK_MAIN_MENU_MY_REPORT_CARDS',
    CLICK_MAIN_MENU_COMMUNITY: 'CLICK_MAIN_MENU_COMMUNITY',
    CLICK_MAIN_MENU_CAPSTONE: 'CLICK_MAIN_MENU_CAPSTONE',
    CLICK_MAIN_MENU_PERSONAL_CONCIERGE: 'CLICK_MAIN_MENU_PERSONAL_CONCIERGE',
    CLICK_MAIN_MENU_MANAGE_MY_WEBSITE: 'CLICK_MAIN_MENU_MANAGE_MY_WEBSITE',
    CLICK_MAIN_MENU_LEARNING_JOURNEY: 'CLICK_MAIN_MENU_LEARNING_JOURNEY',
    CLICK_MAIN_MENU_PROFILE: 'CLICK_MAIN_MENU_PROFILE',
    CLICK_MAIN_MENU_LOG_OUT: 'CLICK_MAIN_MENU_LOG_OUT',
    CLICK_MAIN_MENU_CERTIFICATES: 'CLICK_MAIN_MENU_CERTIFICATES',
  },
  callConcierge: {
    PAGEVIEW_PERSONAL_CONCIERGE: 'PAGEVIEW_PERSONAL_CONCIERGE',
    CLICK_FAQ_CREDITS: 'CLICK_FAQ_CREDITS',
    CLICK_FAQ_SCHEDULING: 'CLICK_FAQ_SCHEDULING',
    CLICK_FAQ_FIND_SLOTS: 'CLICK_FAQ_FIND_SLOTS',
    CLICK_FAQ_CANCEL_CLASS: 'CLICK_FAQ_CANCEL_CLASS',
    CLICK_FAQ_LEARNING_VISIBILITY: 'CLICK_FAQ_LEARNING_VISIBILITY',
    CLICK_FAQ_EVALUATION: 'CLICK_FAQ_EVALUATION',
    PAGEVIEW_NEED_HELP: 'PAGEVIEW_NEED_HELP',
    CLICK_NEEDHELP_CHAT: 'CLICK_NEEDHELP_CHAT',
    CLICK_CHAT_TYPE: 'CLICK_CHAT_TYPE',
    CLICK_NEEDHELP_WRITE: 'CLICK_NEEDHELP_WRITE',
    CLICK_NEEDHELP_CALL: 'CLICK_NEEDHELP_CALL',
    CLICK_FAQ_INTERNET_SPEED: 'CLICK_FAQ_INTERNET_SPEED',
    CLICK_FAQ_CERTIFICATES_DELEVIRED: 'CLICK_FAQ_CERTIFICATES_DELEVIRED',
    TICKET_CREATED_SUCCESS: 'TICKET_CREATED_SUCCESS',
    CLICK_CHAT_INITIATED: 'CLICK_CHAT_INITIATED',
  },
  reports: {
    PAGEVIEW_REPORTS: 'PAGEVIEW_REPORTS',
    CLICK_REPORTS_SHARE: 'CLICK_REPORTS_SHARE',
  },
  wallOfFame: {
    CLICK_WALLOFFAME_SHARE_WHATSAPP: 'CLICK_WALLOFFAME_SHARE_WHATSAPP',
    CLICK_WALLOFFAME_SHARE: 'CLICK_WALLOFFAME_SHARE',
    IMPRESSIONS_WALLOFFAME_PROFILE: 'IMPRESSIONS_WALLOFFAME_PROFILE',
    CLICK_WALLOFFAME_PROFILE: 'CLICK_WALLOFFAME_PROFILE',
    CLICK_WALLOFFAME_VIEW_MORE: 'CLICK_WALLOFFAME_VIEW_MORE',
    CLICK_WALLOFFAME_VIEW_MORE_SORT: 'CLICK_WALLOFFAME_VIEW_MORE_SORT',
    CLICK_WALLOFFAME_VIEW_MORE_FILTER: 'CLICK_WALLOFFAME_VIEW_MORE_FILTER',
    CLICK_WALLOFFAME_SUBMIT_ENTRY: 'CLICK_WALLOFFAME_SUBMIT_ENTRY',
    CLICK_WALLOFFAME_FORM_SUBMIT: 'CLICK_WALLOFFAME_FORM_SUBMIT',
    CLICK_WALLOFFAME_OURSUPERHEROES: 'CLICK_WALLOFFAME_OURSUPERHEROES',
  },
  install: {
    APP_INSTALL: 'APP_INSTALL',
    MWEB_NO_LAPTOP_APP_INSTALL: 'MWEB_NO_LAPTOP_APP_INSTALL',
  },
  common: {
    LOGIN: 'login',
    REGISTER: 'register',
    SMS: 'sms',
    VOICE: 'voice',
    normal: 'normal',
    whatsapp: 'whatsapp',
    capstone: 'CLICK_MAIN_MENU_CAPSTONE',
  },
  certificate: {
    PAGEVIEW_CERTIFICATES: 'PAGEVIEW_CERTIFICATES',
    PAGEVIEW_CERTIFICATE_DETAILS: 'PAGEVIEW_CERTIFICATE_DETAILS',
    CLICK_SHARE_CERTIFICATE: 'CLICK_SHARE_CERTIFICATE',
    DOWNLOAD_CERTIFICATE: 'DOWNLOAD_CERTIFICATE',
  },
  capstone: {
    PAGEVIEW_CAPSTONE: 'PAGEVIEW_CAPSTONE',
    //ToDo: Currently CAPSTONE PAGE in Webview So we don't have access there.
    CLICK_CAPSTONE_VIDEO: 'CLICK_CAPSTONE_VIDEO',
  },
  immediateClas: {
    LANDED_ON_TYPAGE: 'LANDED_ON_TYPAGE',
    START_FREE_CLASS_NOW: 'START_FREE_CLASS_NOW',
    SEND_LINK_ON_WHATSAPP_CLICKED: 'SEND_LINK_ON_WHATSAPP_CLICKED',
  },
  languageSelection: {
    LANGUAGE_SELECTION_POPUP_VIEWED: 'LANGUAGE_SELECTION_POPUP_VIEWED',
    LANGUAGE_SELECTED: 'LANGUAGE_SELECTED',
  },
  type: {
    NORMAL: 'normal',
    WHATSAPP: 'whatsapp',
  },
  appState: {
    APP_BACKGROUNDED: 'APP_BACKGROUNDED',
    APP_FOREGROUNDED: 'APP_FOREGROUNDED',
    APP_CLOSED: 'APP_CLOSED',
  },
  accordian: {
    CLICK_FAQ_DROPDOWN: 'CLICK_FAQ_DROPDOWN',
  },
  appInbox: {
    PAGEVIEW_NOTIFICATIONS_INBOX: 'PAGEVIEW_NOTIFICATIONS_INBOX',
    CLICK_NOTIFICATIONS_SUBCATEGORY: 'CLICK_NOTIFICATIONS_SUBCATEGORY',
    DELETED_NOTIFICATIONS: 'DELETED_NOTIFICATIONS',
  },
  OTP_ENTERED_METHOD: {
    AUTO: 'Auto',
    MANUAL: 'Manual',
  },
  appUpdate: {
    APP_UPDATE_TECH_LOG: 'APP_UPDATE_TECH_LOG',
  },
  dynamicBanner: {
    CLICK_HOMEPAGE_CAROUSEL: 'CLICK_HOMEPAGE_CAROUSEL',
  },
};


export const AppEnvironmentEnum = {
    STAGING: 'staging',
    UAT: 'uat',
    PRODUCTION: 'Production',
};

export const SCREEN_TYPE_BOOSTER_CLASS = {
    REGULAR_CLASS: 'REGULAR_CLASS',
    PROJECT_BOOSTER: 'PROJECT_BOOSTER',
};

const isIOSDevice = () => {
    return Platform.OS === 'ios';
};

export const LOGIN_SCREEN_STATES = {
    LOGIN_WITH_PHONE: 'phone',
    LOGIN_WITH_EMAIL: 'email',
    LOGIN_WITH_OTP: 'otp',
    LOGIN_WITH_PASSWORD: 'password',
    FORGET_PASSWORD_PHONE: 'forget_mobile',
    FORGET_PASSWORD_OTP: 'forget_otp',
    FIND_ACCOUNT: 'find_account',
    RESEND_OTP: 'resend_otp',
    RESENT_OTP_TIMER: 50,
    KEYBOARD_HEIGHT: isIOSDevice() ? 250 : 240,
    KEYBOARD_SPACE: isIOSDevice()
        ? hasNotch()
            ? 16
            : 0
        : NAVIGATION_BAR_HEIGHT < 0
            ? 0
            : NAVIGATION_BAR_HEIGHT,
    KEYBOARD_TIME: 300,
};


export const OTP_TEXT_CONFIG = {
    OTP_VALIDITY: 90,
};

export const API_STATUS_CODES = {
    RESPONSE_200: 200,
    RESPONSE_400: 400,
    RESPONSE_502: 502,
    UNAUTHORIZED: 'unauthorized',
};

export const COURSE_TYPE_STATUS = {
    MATH: 'MATH',
    CODING: 'CODING',
    BOTH: 'BOTH',
    MUSIC: 'MUSIC',
};

export const DATE_FORMAT_ENUM = {
    TIME_FORMAT_AMPM: 'hh:mm A',
    THREE_CHAR_MONTH: 'MMM',
    TWO_CHAR_DATE: 'DD',
    THREE_CHAR_DATE: 'ddd',
    DATE_WITH_WEEK_DAY: 'Do MMMM dddd',
    DD_MMM_YYYY: 'DD MMM YYYY',
    DDD_MMM_YYYY: 'Do MMM YYYY',
    MM_DD_YYYY: 'MM-DD-YYYY',
    Do_MMM: 'Do MMM',
    MMM_Do: 'MMM Do',
    DAYS: 'days',
    SLOT_TIMING_WITH_DATE: 'Do MMM dddd h a',
    SLOT_TIMING_WITH_DAY_DATE_MONTH: 'Do MMM, dddd, hh:mm a',
    SLOT_TIMING_WITH_DAY_DATE_MONTH_WITHOUT_ZERO_PADDING: 'Do MMM, dddd, h:mm A',
    SLOT_TIMING_WITH_DAY_DATE_MONTH_INTERVAL: 'Do MMM, dddd, ',
    FORMATE_1: 'dddd, DD MMM YYYY',
    DD_MM_YYYY: 'DD-MM-YYYY',
    YYYY_MM_DD: 'YYYY_MM_DD',
    HH_MM: 'HH:mm',
    SECONDS: 'seconds',
    HOURS: 'hours',
    YYYY_MM_DD_HH_MM_SS: 'YYYY-MM-DD HH:mm:ss',
    DAY_DATE_MONTH: 'ddd DD MMM',
    DAY_D0_MMMM_TIME: 'ddd Do MMMM, hh:mm A',
    D0_MMMM_TIME: 'Do MMMM, hh:mm a',
    D0_MMMM_YYYY_TIME: 'Do MMM YYYY, hh:mm a',
    DAY_MONTH_DATE: 'Do MMM, ddd',
    DAY_MONTH_YEAR: 'Do MMM, YYYY',
    D_MM_YYYY: 'Do MMM YYYY',
    HH_MM_DATE: 'hh:mm A Do MMM',
};

export const CLASS_TYPE = {
    UPCOMING: 'upcoming',
    ALL_UPCOMING: 'all_upcoming',
    COMPLETED: 'completed',
    NOT_COMPLETED: 'not_completed',
    NOTCOMPLETED: 'notcompleted',
    CONFIRMED: 'confirmed',
    STARTED: 'started',
    CANCELLED: 'cancelled',
    EXPIRED: 'expired',
    YTS: 'YTS',
    UPCOMING_TRIAL_CLASSES: 'upcoming_trial_classes',
    ONE_TO_MANY: 'ONE_TO_MANY',
    ONE_TO_ONE: 'ONE_TO_ONE',
    NONE: 'none',
};

export const CLASS_MODAL_TYPES = {
    UPCOMING: 'upcoming',
    COMPLETED: 'completed',
    NOT_COMPLETED: 'not_completed',
    NO_MODAL: 'modal',
    IS_VISIBLE: 'isVisible',
    SLOT_CONFIRMED: 'slot_confirmed',
    SLOT_CANCELLED: 'slot_cancelled',
    CANCEL_SLOT_CLASS: 'cancel_slot_class',
    SCHEDULE_CLASS: 'schedule_class',
    TEACHER_SUBSTITUTE: 'teacher_substitue',
    COVID_19_THRESHOLD: 'COVID_19_THRESHOLD',
    NO_CREDIT_LEFT: 'NO_CREDIT_LEFT',
    BOOSTER_CONFIRMED: 'BOOSTER_CONFIRMED',
    TERMS_AND_CONDITIONS: 'TERMS_AND_CONDITIONS',
    DAY_LIMIT_REACHED: 'day_limit_reached'
}

export const WEB_URLS = {
    renew: (url, token) =>
        `${url}s/renewal?jwt_token=${token}&hide_mobile_navigation`,
};

export const LIMIT_REACHED = {
    DAY: 'Day',
    WEEK: 'Week',
};

export const CLASS_BOOKED_VIA_THIS_DEVICE = {
    CLASS_BOOKED_VIA_THIS_DEVICE: 3,
};

export const PROJECT_BOOSTER_EVENT = {
    NORMAL: 'normal',
    PROJECT_BOOSTER: 'PROJECT_BOOSTER',
};

export const SCHEDULE_WEEK_TITLE_ENUM = {
    WEEK_1: 'Week 1',
    WEEK_2: 'Week 2',
    WEEK_3: 'Week 3',
    WEEK_4: 'Week 4',
    WEEK_5: 'Week 5',
    WEEK_6: 'Week 6',
};

export const WORKING_HOUR_RANGE = {
    IN: {
        startMinute: 480,
        endMinute: 1260,
    },
    default: {
        startMinute: 510,
        endMinute: 1290,
    },
};

export const USER_TYPE = {
    TRIAL: 'trial',
    PAID: 'paid',
};

export const POPUP_STATE = {
    CLASS_DETAIL: 'class_details',
    CANCEL_CLASS: 'cancel_class',
    CLASS_CANCEL_NO_DETAIL: 'class_cancel_no_detail',
};

export const TIME_ZONE = {
    ASIA: "Asia/Kolkata"
}
export const HEADER_MENU_ITEMS = [
    {
      name: 'quiz',
      key: MENU_ITEM_CONSTANT.MY_QUIZEES,
      userType: [USER_TYPE.PAID],
      navigationUrl: (url, token) =>
        `${url}s/my-quizzes?jwt_token=${token}&hide_mobile_navigation`,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_MY_QUIZZES,
    },
    {
      name: 'StudentReport',
      key: MENU_ITEM_CONSTANT.MY_REPORT_CARD,
      userType: [USER_TYPE.PAID],
      navigationUrl: (url, token) =>
        `${url}s/my-report?jwt_token=${token}&hide_mobile_navigation`,
      navigationTo: ScreenNames.StudentReport,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_MY_REPORT_CARDS,
    },
    {
      name: 'capstoneMenu',
      key: MENU_ITEM_CONSTANT.CAPSTONE,
      userType: [USER_TYPE.PAID],
      navigationUrl: (url, token) =>
        `${url}s/capstone?jwt_token=${token}&hide_mobile_navigation`,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_CAPSTONE,
    },
    {
      name: 'personalConcierge',
      key: MENU_ITEM_CONSTANT.PERSONAL_CONCIERGE,
      userType: [USER_TYPE.PAID],
      navigationUrl: (url, token) =>
        `${url}s/help-desk?jwt_token=${token}&hide_mobile_navigation`,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_PERSONAL_CONCIERGE,
    },
    {
      name: 'studentCertificates',
      key: MENU_ITEM_CONSTANT.CERTIFICATES,
      userType: [USER_TYPE.PAID],
      navigationUrl: (url, token) =>
        `${url}s/my-report?jwt_token=${token}&hide_mobile_navigation`,
      navigationTo: ScreenNames.studentCertificates,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_CERTIFICATES,
    },
    {
      name: 'Manage Website',
      key: MENU_ITEM_CONSTANT.MANAGE_MY_WEBSITE,
      userType: [],
      navigationUrl: (url, token, portfolioUrl) =>
        `${portfolioUrl}?jwt_token=${token}&hide_mobile_navigation`,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_MANAGE_MY_WEBSITE,
    },
    {
      name: 'Profile',
      key: MENU_ITEM_CONSTANT.PROFILE,
      userType: [USER_TYPE.TRIAL, USER_TYPE.PAID],
      navigationUrl: (url, token) =>
        `${url}s/my-profile?jwt_token=${token}&hide_mobile_navigation`,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_PROFILE,
    },
    {
      name: 'logOut',
      userType: [USER_TYPE.TRIAL, USER_TYPE.PAID],
      key: MENU_ITEM_CONSTANT.USER_LOGOUT,
      navigationUrl: 'logout',
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_LOG_OUT,
    },
  ];

  export const USER_CATEGORY = {
    USER_TRIAL_CLASS_NOT_SCHEDULED: 'not_scheduled',
    USER_TRIAL_CLASS_COMPLETED: 'post_trial',
    USER_TRIAL_CLASS_COMPLETED_WITH_NO_LAPTOP: 'post_trial_no_laptop',
    USER_TRIAL_CLASS_SCHEDULED: 'pre_trial',
    USER_TRIAL_CLASS_NO_LAPTOP: 'no_laptop', // isLaptop = false && trialStatus = not_scheduled
    USER_TRIAL_CLASS_SCHEDULED_WITH_NO_LAPTOP: 'pre_trial_no_laptop',
    USER_PAID: 'paid',
  };

  export const MATH_HEADER_MENU_ITEMS = [
    {
      name: 'quiz',
      key: MENU_ITEM_CONSTANT.MY_QUIZEES,
      userType: [USER_TYPE.PAID],
      navigationUrl: (url, token) =>
        `${url}s/my-quizzes?jwt_token=${token}&hide_mobile_navigation`,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_MY_QUIZZES,
    },
    {
      name: 'StudentReport',
      key: MENU_ITEM_CONSTANT.MY_REPORT_CARD,
      userType: [USER_TYPE.PAID],
      navigationUrl: (url, token) =>
        `${url}s/my-report?jwt_token=${token}&hide_mobile_navigation`,
      navigationTo: ScreenNames.StudentReport,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_MY_REPORT_CARDS,
    },
    {
      name: 'personalConcierge',
      key: MENU_ITEM_CONSTANT.PERSONAL_CONCIERGE,
      userType: [USER_TYPE.PAID],
      navigationUrl: (url, token) =>
        `${url}s/help-desk?jwt_token=${token}&hide_mobile_navigation`,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_PERSONAL_CONCIERGE,
    },
    {
      name: 'Profile',
      key: MENU_ITEM_CONSTANT.PROFILE,
      userType: [USER_TYPE.TRIAL, USER_TYPE.PAID],
      navigationUrl: (url, token) =>
        `${url}s/my-profile?jwt_token=${token}&hide_mobile_navigation`,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_PROFILE,
    },
    {
      name: 'logOut',
      userType: [USER_TYPE.TRIAL, USER_TYPE.PAID],
      key: MENU_ITEM_CONSTANT.USER_LOGOUT,
      navigationUrl: 'logout',
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_LOG_OUT,
    },
  ];

  export const USER_MATH_CATEGORY = {
    USER_TRIAL_CLASS_NOT_SCHEDULED: 'not_scheduled',
    USER_TRIAL_CLASS_COMPLETED: 'post_trial',
    USER_TRIAL_CLASS_COMPLETED_WITH_NO_LAPTOP: 'post_trial_no_laptop',
    USER_TRIAL_CLASS_SCHEDULED: 'pre_trial',
    USER_TRIAL_CLASS_NO_LAPTOP: 'no_laptop', // isLaptop = false && trialStatus = not_scheduled
    USER_TRIAL_CLASS_SCHEDULED_WITH_NO_LAPTOP: 'pre_trial_no_laptop',
    USER_PAID: 'paid',
  };

  export const MUSIC_HEADER_MENU_ITEMS = [
    {
      name: 'Profile',
      key: MENU_ITEM_CONSTANT.PROFILE,
      userType: [USER_TYPE.TRIAL, USER_TYPE.PAID],
      navigationUrl: (url, token) =>
        `${url}s/my-profile?jwt_token=${token}&hide_mobile_navigation`,
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_PROFILE,
    },
    {
      name: 'logOut',
      userType: [USER_TYPE.TRIAL, USER_TYPE.PAID],
      key: MENU_ITEM_CONSTANT.USER_LOGOUT,
      navigationUrl: 'logout',
      analyticsKey: EVENT_TYPE.mainMenu.CLICK_MAIN_MENU_LOG_OUT,
    },
  ];
  
